html {
  font-size: calc(100vw / 7.5);
  font-size: -webkit-calc(100vw/7.5);
  -webkit-text-size-adjust: 100%;
}

li {
  list-style: none;
  display: inline-block;
}

body,
.body {
  width: 100%;
  height: 100%;
  background-size: 100% 100%;
  background-color: #f8f8f8;
  margin: 0;
  padding: 0;
}
.body{
  height: 100vh !important;
  overflow-y: scroll;
}
/*消除ios点击阴影*/
html,
body {
  -webkit-text-size-adjust: 100% !important;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  /* ios 滑动 */
  -webkit-overflow-scrolling: touch !important;
  user-select: none;
  -webkit-user-select: none;

}
body {
  -webkit-text-size-adjust: 100% !important;

}

/*消除ios动画抖动*/
* {
  -webkit-backface-visibility: hidden;
}

::placeholder{
  color:#0068a6 !important;
}
/* 清除浮动 */
.clearfix:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}

.clearfix {
  *zoom: 1;
}


input {
  -webkit-user-select: text !important;
  background: transparent;
  outline: none;
  border: none;
}

input::-webkit-input-placeholder {
  /* placeholder颜色  */
  color: #dedede;
}

/* 页面切换动画 */
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.3s;
}

.fade-enter,
.fade-leave-to

/* .fade-leave-active below version 2.1.8 */
  {
  opacity: 0;
}
.page {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #f8f8f8;
  overflow-y: scroll;
  z-index: 1;
}

.dialog-mask {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  overflow: hidden!important;
}
.dialog{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 999;
}
.dialog .frame {
  background-repeat: no-repeat;
  background-position: left top;
  background-size: 100% 100%;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -70%);
}

.home-page {
  width: 7.5rem;
  height: 14.51rem;
  background-position: left top;
  background-repeat: no-repeat;
  background-size: cover;
  background-image: url('https://qn.mktzr.com/dttcfpls/images/index-bg.png');
  z-index:1;
  position: relative;
}
.home-page .btn{
  width: 0.82rem;
  height: 0.74rem;
  right:0.2rem;
}
.home-page .btn.btn-rule{
  top: 0.5rem;
}
.home-page .btn.btn-viewAward{
  background: url('https://qn.mktzr.com/dttcfpls/images/btn-prize.png') no-repeat center center;
  background-size: 100%;
  top:1.35rem;

}

.home-page .btn.btn-start{

  width: 3.67rem;
  height: 1.3rem;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 12.2rem;
  z-index: 2;

}
.rule-page {
  width: 7.5rem;
  height: 14.51rem;
  background-position: left top;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-image: url('https://qn.mktzr.com/dttcfpls/images/rule-bg.png');
  z-index:1;
  position: relative;
}
.rule-page  .btn-back{
    width: 1.4rem;
    height: 0.61rem;
    position: absolute;
    right: 0.2rem;
    top: 0.2rem;
}

.result-page{
  width: 7.5rem;
  height: 14.51rem;
  background: url(https://qn.mktzr.com/dttcfpls/images/result-bg.png) left  top no-repeat;
  background-size: 100% 100%;
  position: relative;
  overflow-y: auto;

}

.result-page .back{
  width: 1.11rem;
  height: 0.54rem;
  background: url("https://qn.mktzr.com/dttcfpl/images/back.png") left  top no-repeat;
  background-size: 100% 100%;
  position: absolute;

  top: 0.5rem;right: 0;
}
.result-page .btn-tip{
  width: 1.56rem;
  height: .56rem;
  background: url(https://qn.mktzr.com/dttsk/btn-tip.png) left top no-repeat;
  background-size: 100% 100%;
  position: absolute;
  top: 4.3rem;
  right: 0.7rem;
  z-index:10
}
.result-text{
    width: 6.26rem;
    height: 0.86rem;
    position: absolute;
    top: 1.2rem;
    left: 50%;
    transform: translateX(-50%);
}
.header{
  width: 7.50rem;
  height: 4.47rem;
  position: absolute;
  top: 2.8rem;
  left: 0;

}
.frame-body{
    width: 6.65rem;
    height: 2.75rem;
    position: absolute;
    top: 8.05rem;
    left: 0.34rem;
    letter-spacing: 0.03rem;
    padding: 0.03rem;
    font-size: 0.28rem;
    overflow-y: auto;
    color: #9deeff;


}
.lottery {
  width: 3.06rem;
  height: 0.84rem;
  background: url(https://qn.mktzr.com/dttcfpls/images/btn-chou.png) left top
  no-repeat;
  background-size: 100% 100%;
  position: fixed;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0.4rem;

}
.viewprize {
    width: 3.06rem;
    height: 0.84rem;
  background: url(https://qn.mktzr.com/dttcfpls/images/viewPirze.png) left top
  no-repeat;
  background-size: 100% 100%;
  position: fixed;
  right: 0.4rem;
    bottom: 0.4rem;

}
.result-page .btn-back{
    width: 3.06rem;
    height: 0.84rem;
  background: url(https://qn.mktzr.com/dttcfpls/images/btn-back.png) left top
  no-repeat;
  background-size: 100% 100%;
  position: fixed;
  left: 0.4rem;
    bottom: 0.4rem;


}
.result-page .btn-try{
    width: 3.06rem;
    height: 0.84rem;
  background: url(https://qn.mktzr.com/dttcfpls/images/btn-retry.png) left top
  no-repeat;
  background-size: 100% 100%;
  position: fixed;
  right: 0.4rem;
    bottom: 0.4rem;


}














.flex{
  display: flex;
  align-items: center;
  justify-content: center;
}

.frame{
  background-repeat: no-repeat;
  background-position: left top;
  background-size: 100% 100%;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.captcha-div{
  position:absolute;
}

.suc-dialog .frame{
  width: 7.5rem;
  height: 8.84rem;
  background:url('https://qn.mktzr.com/dttbm/images/dialog-success.png') no-repeat left top;
  background-size: 100%;
  font-size: 0.4rem;
  font-weight: bold;
  color: red;
}
.suc-dialog .frame .game-score{
  position: absolute;
  left:50%;
  transform: translateX(-50%);
  top: 4.4rem;

}
.suc-dialog .frame .card-nums{

  position: absolute;
  left:50%;
  transform: translateX(-50%);
  top: 5.8rem;

}
.suc-dialog .frame .captcha-div{
  width: 2.62rem;
  height: 0.81rem;
  left:50%;
  transform: translateX(-50%);
}
.suc-dialog .frame .back-btn{
  background:url('https://qn.mktzr.com/dttbm/images/btn-confirm.png') no-repeat left top;
  background-size: 100%;
  top:6.59rem;
}
.suc-dialog .frame .lottery-btn{
  background:url('https://qn.mktzr.com/dttbm/images/btn-lottery.png') no-repeat left top;
  background-size: 100%;
  top:6.59rem;
}
.suc-dialog .frame .detail-btn{
  top: 6.8rem;
  right: 0.72rem;
  width: 1rem;
  left: unset;
  height: 1rem;
  transform: unset;
}




.login-dialog .frame{
  width: 6.8rem;
  height: 7.53rem;
  background:url('https://qn.mktzr.com/dttcfpls/images/login-dialog.png') no-repeat left top;
  background-size: 100%;
}
.login-dialog .frame input{
    height: 0.9rem;
    line-height: 0.9rem;
    left: 1.2rem;
    text-align: center;
    font-size: .27rem;
    padding: 0 0.2rem;
    box-sizing: border-box;
    color: #0068a6;
}
.login-dialog .frame input.mobile{
    width: 4.5rem;
    top: 1.7rem;
}
.login-dialog .frame input.verifyCode{
  width:2.75rem;
  top:3rem;
}
.login-dialog .frame .get-sms-btn{
    width: 1.47rem;
    height: 0.9rem;
    right: 01.1rem;
    top: 3.02rem;
    color: #fff;
    font-size: 0.25rem;
    line-height: 0.9rem;
    text-align: center;
}
.login-dialog .frame .login-btn{
    width: 3.53rem;
    height: 0.9rem;
    left: 50%;
    transform: translateX(-50%);
    top: 4.55rem;
}


.captcha_mask{
  position:fixed;
  left:0;
  top:0;
  width: 100%;
  height: 100%;
  z-index: 2000;
  background-color: rgba(0,0,0,.5);
  display: none;
}
.captcha_mask .captcha_main{
  position: absolute;
  top: 3rem;
  z-index: 2001;
  left: 3.7rem;
  width: 2.7rem;
  height: 1.5rem;
  padding: 0.1rem 0.1rem;
  background: #ccc;
  border-radius: 0.2rem;
  font-size: 0;
}
.captcha_mask .captcha_main::after{
  content: "";
  display: block;
  width: 0;
  height: 0;
  border:0.1rem solid transparent;
  border-top-color: #ccc;
  position: absolute;
  /* top: 0; */
  left: 50%;
  transform: translateX(-50%);
  bottom: -0.2rem;
  z-index: 3;
}
.captcha_mask .captcha_main .captcha_img{
  width:100%;
  height:0.77rem;
  margin:0;
}
.captcha_mask .captcha_main .captcha_value{
  width: 1.39rem;
  margin-top: 0.15rem;
  text-align: center;
  color: #999999;
  vertical-align: baseline;
  background: white;
  height: 0.5rem;
}
.captcha_mask .captcha_main .sendSms{
  margin-left: 0.1rem;
  text-align: center;
  padding: 0.1rem;
  color: white;
  background-color: #0072ff;
  width: 0.64rem;
  height: 0.33rem;
  border-radius: 15%;
  display: inline-block;
  line-height: 0.33rem;
  font-size: 0.2rem;

}
.captcha_mask .captcha_main .captcha_value::placeholder{
  font-size:0.2rem;
}

.award-dialog .frame{
    width:6.8rem;
    height:7.53rem;
  background:url('https://qn.mktzr.com/dttcfpls/images/hb-dialog.png') no-repeat left top;
  background-size: 100%;
}

.award-dialog .bonus{
    width: 3rem;
    color: #f45454;
    font-weight: bold;
    font-size: 0.8rem;
    left: 50%;
    transform: translateX(-50%);
    top: 2.2rem;
    display: flex;
    align-items: baseline;
    justify-content: center;
}

.award-dialog .bonus:after{
  font-size:0.48rem;
  content: "元";
}

.award-dialog .back-btn{
  width: 3.03rem;
  height: 1.01rem;
  left: 50%;
  transform: translateX(-50%);
  top: 4rem;
}

.unlucky-dialog .frame{
  width:6.8rem;
  height:7.53rem;
  background:url('https://qn.mktzr.com/dttcfpls/images/fail-dialog.png') no-repeat left top;
  background-size: 100%;
}

.unlucky-dialog .back-btn{
  top: 4.59rem;
}

.music_btn{
  left: 4.2rem;
  width: 0.58rem;
  height: 0.59rem;
  top: 0.3rem;
  z-index: 1100;
}
.music_btn.active{
  animation: rotate 2s linear infinite;
}
@keyframes rotate {
  0%{
    transform: rotate(0deg);
  }
  100%{
    transform: rotate(360deg);
  }
}
@keyframes floatAnimation {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0);
  }
}

